# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name    cpsed
%define version 0.4
%define release 1.2006mcnl
%define summary OpenGL 3D scene editor
%define section Multimedia/Graphics

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:		http://cpsed.sourceforge.net/
License:        GPL
Group:          %{section}
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        %{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

BuildRequires:  libqt3-devel jpeg-devel

%description
Cpsed is an OpenGL 3D scene editor built with QT library. It allows to import .3ds model files and to position, rotate and scale each of them. It features open/save/delete function. The 3ds loader also loads the textures in JPG/BMP/TGA format. DFF Renderware format support is in course. The save file format is pure ascii with comma separated values. This is the initial release.


%prep
rm -rf %{buildroot}
%setup -q -n cpsed

qmake

%make

%install
rm -rf %{buildroot}
mkdir -p $RPM_BUILD_ROOT%{_bindir}/
cp %name $RPM_BUILD_ROOT%{_bindir}/

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%name" \
needs="X11" \
icon="graphics_section.png" \
section="%section" \
title="%name" \
longtitle="%summary"
EOF


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root) 
%doc README
%_menudir/*
%{_bindir}/*
   
%changelog 

* Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl> 0.4-1.2006mcnl
- Mandriva 2006 rebuild

* Tue Jun 07 2005 Marco Meijer <marco@mandrivaclub.nl> 0.4-1.102mcnl
- Mandriva LE2005 rebuild

*Thu Dec 09 2004 Marco Meijer <marco@mandrivaclub.nl> 0.4-1.101mcnl
new versie

*Tue Nov 02 2004 Marco Meijer <marco@mandrivaclub.nl> 0.3-1.101mcnl
new versie

*Fri Oct 29 2004 Marco Meijer <marco@mandrivaclub.nl> 0.2-1mcnl
new versie

*Sat Sep 25 2004 Marco Meijer <marco@mandrivaclub.nl> 0.1-1mcnl
first Mandrakeclub.nl versie


